Inhoud
Index 🔎︎

# Hex-functie

Geeft een tekenreeks terug die de hexadecimale waarde van een getal voorstelt.

## Syntaxis:

    Hex (Getal)

## Teruggegeven waarde:

String

## Parameters:

Getal: Elke numerieke expressie die moet worden geconverteerd naar een hexadecimaal getal.

## Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Sub ExampleHex
    ' uses BasicFormulas in LibreOffice Calc
    Dim a2, b2, c2 As String
        a2 = "&H3E8"
        b2 = Hex2Lng(a2)
        MsgBox b2
        c2 = Lng2Hex(b2)
        MsgBox c2
    End Sub

    Function Hex2Lng(sHex As String) As Long
    ' Returns a 32 bits signed integer number from an 8 digits hexadecimal value.
        Hex2Lng = clng( sHex )
    End Function

    Function Lng2Hex(iLong As Long) As String
    ' Calculates the 8 digits hexadecimal value out of a 32 bits signed integer number.
        Lng2Hex = "&H" & Hex( iLong )
    End Function